Bug 1045477 - "ab" to https sites broken
Summary: "ab" to https sites broken
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: httpd
Version: 6.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Web Stack Team
QA Contact: Filip Holec
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-20 14:32 UTC by Harald Reindl
Modified: 2016-04-18 10:26 UTC (History)
4 users (show)

Fixed In Version: httpd-2.2.15-40.el6
Doc Type: Bug Fix
Doc Text:
The ab utility did not correctly handle situations when SSL connection was closed after some data had already been read. As a consequence, ab did not work correctly with SSL servers and printed "SSL read failed" error messages. With this update, ab works as expected with HTTPS servers.
Clone Of:
: 1255331 (view as bug list)
Environment:
Last Closed: 2015-07-22 05:52:51 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1249 normal SHIPPED_LIVE Low: httpd security, bug fix, and enhancement update 2015-07-20 17:50:12 UTC

Description Harald Reindl 2013-12-20 14:32:32 UTC
"ab" (Apache Benchmark) for a long time does not work on RHEL6 in case of https-sites, since it's no problem to connect to this servers from any client and "ab" from Fedora systems also works wheter ECDHE or not there must be something wrong in the RHEL package

[root@openvas:~]$ ab -c 5 -n 100 https://secure.thelounge.net/
This is ApacheBench, Version 2.3 <$Revision: 655654 $>
Copyright 1996 Adam Twiss, Zeus Technology Ltd, http://www.zeustech.net/
Licensed to The Apache Software Foundation, http://www.apache.org/

Benchmarking secure.thelounge.net (be patient)...SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection                                                                                           
SSL read failed - closing connection                                                                                           
SSL read failed - closing connection                                                                                           
SSL read failed - closing connection                                                                                           
SSL read failed - closing connection                                                                                           
SSL read failed - closing connection                                                                                           
SSL read failed - closing connection                                                                                           
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
SSL read failed - closing connection
..done


Server Software:        
Server Hostname:        secure.thelounge.net
Server Port:            443
SSL/TLS Protocol:       TLSv1/SSLv3,ECDHE-RSA-AES128-GCM-SHA256,2048,128

Document Path:          /
Document Length:        0 bytes

Concurrency Level:      5
Time taken for tests:   0.458 seconds
Complete requests:      100
Failed requests:        100
   (Connect: 0, Receive: 0, Length: 100, Exceptions: 0)
Write errors:           0
Total transferred:      135300 bytes
HTML transferred:       91200 bytes
Requests per second:    218.45 [#/sec] (mean)
Time per request:       22.889 [ms] (mean)
Time per request:       4.578 [ms] (mean, across all concurrent requests)
Transfer rate:          288.63 [Kbytes/sec] received

Connection Times (ms)
              min  mean[+/-sd] median   max
Connect:        9   18   3.5     18      28
Processing:     2    5   4.3      3      19
Waiting:        2    4   2.9      3      18
Total:         10   22   5.5     22      41

Percentage of the requests served within a certain time (ms)
  50%     22
  66%     23
  75%     24
  80%     25
  90%     32
  95%     36
  98%     41
  99%     41
 100%     41 (longest request)

Comment 2 Joe Orton 2014-02-13 14:03:34 UTC
Thanks for reporting this.  The ab client in httpd 2.2.x is very rough and received significant improvements in httpd 2.4.  We currently have no plans to backport the 2.4.x changes.

If this issue is critical or in any way time sensitive, please raise a ticket
through your regular Red Hat support channels to make certain it receives the
proper attention and prioritization to assure a timely resolution.

For information on how to contact the Red Hat production support team, please
visit: https://www.redhat.com/support/process/production/#howto

Comment 3 Joe Orton 2014-02-13 14:04:50 UTC
I meant to say specifically the *SSL support* in the ab client is very rough.

Comment 9 errata-xmlrpc 2015-07-22 05:52:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1249.html


Note You need to log in before you can comment on or make changes to this bug.